%
% get input
%

% I must be double image with values in [0,1]
I = input2d('noisy square');

%
% run model
%
Niterations = 12; % number of recurrent interactions
[C, W] = modellr(I, Niterations);
Wfinal = W(:,:,:,Niterations);

%
% show results -- Fig. 4
% 
subplot(1,3,1), imshow(I), title('Input stimulus'), axis on, ticksoff
subplot(1,3,2), imshowr(sum(C,3), []), title('Complex cells')
subplot(1,3,3), imshowr(sum(Wfinal, 3), []), title('Long-range stage')
