function figbanana(figno)
%
% get input
%
I = input2d('banana');

%
% run model
%
Niterations = 12; % number of recurrent interactions
if exist('res_banana.mat') ~= 2
  [C, W] = modellr(I, Niterations);
  save res_banana C W
else
  load res_banana
end

Wfinal = W(:,:,:,Niterations);


%
% show results -- Fig. 9
% 
%  the size of the closeup is 17 x 9

ind1 = 243:251;
ind2 = 285:301;
norows = length(ind1);
nocols = length(ind2);

subplot(1,3,1), imshow(I), title('Input stimulus'), axis on, ticksoff
drawrect(ind2(1), ind1(1), nocols, norows, 'w', 1);

subplot(1,3,2), oquiver(C(ind1, ind2, :)), title('Complex cells')
subplot(1,3,3), oquiver(Wfinal(ind1, ind2, :)), title('Long-range stage')

drawnow

for spno = [2 3]
  subplot(1,3,spno)
  pos = get(gca, 'Position');
  pos(1) = pos(1) - (spno-1)*0.05;
  set(gca, 'Position', pos)
end
