function figcube(figno)
%
% get input
%
I = input2d('cubesmall');

%
% run model
%
Niterations = 12; % number of recurrent interactions
if exist('res_cube.mat') ~= 2
  [C, W] = modellr(I, Niterations);
  save res_cube C W
else
  load res_cube
end

Wfinal = W(:,:,:,Niterations);


%
% show results -- Fig. 8
% 
subplot(1,3,1), imshow(I), title('Input stimulus'), axis on, ticksoff
subplot(1,3,2), imshowr(sum(C,3), []), title('Complex cells')
subplot(1,3,3), imshowr(sum(Wfinal, 3), []), title('Long-range stage')

drawnow

for spno = [2 3]
  subplot(1,3,spno)
  pos = get(gca, 'Position');
  pos(1) = pos(1) - (spno-1)*0.05;
  set(gca, 'Position', pos)
end

