% function figauss3

% orientational weighting functions
O_max = 4;
wcenter = 2;
sigma_o = 0.5;
W = gausso(sigma_o, wcenter, O_max);
Wnorm = W/max(W);

% spatial 
G8 = gauss2(8);
G8 = G8/max(G8(:));
G8_1 = Wnorm(wcenter+1)*G8;
G8_2 = Wnorm(wcenter+2)*G8;

Gplot{1} = G8_1;
Gplot{2} = G8;
Gplot{3} = G8_1;
Gplot{4} = G8_2;


xlabelstr = {'\theta - \Delta\theta' ...
             '\theta' ...
             '\theta + \Delta\theta' ...
             '\theta + 2\Delta\theta'};

%xpos = [-20 -10 -20 -20]; % for Fontsize 20
xpos = [-15 -10 -15 -15];
ypos = [-10 -18 -10 -10];
for spno = 1:4
  subplot(1,4,spno)
 
  surfl(Gplot{spno}), shading interp

  %mesh(Gplot{spno}), colormap(zeros(256, 3))
  % page setup ok: 2.63 13.06 18.21. 4.87
  % take this: 0.63 0.63 19.72 4.41

  view(-30, 10), 
  setzaxis([0 1])
  axis off
  % pause drawnow
  
  text(xpos(spno), ypos(spno), xlabelstr{spno}, 'HorizontalAlignment', 'Left', ...
       'Fontsize', 10, 'FontName', 'Times', 'FontAngle', 'italic')
  
end

colormap gray % maybe necessary for surfl
