
Niterations = 12; % number of recurrent interactions

if exist('res_kapadia.mat') ~= 2

  Nstimuli = 5;
  for i=1:Nstimuli
    stimulusname = ['kapadia' int2str(i)];
    [C, W] = modellr(input2d(stimulusname), Niterations);
    X = sum(W(:,:,:,Niterations), 3);
    res(i) = X(32, 35);
  end
  save res_kapadia res
else
  load('res_kapadia.mat')
end


% $$$ 
% $$$ [C1, W1] = modellr(input2d('kapadia1'), Niterations);
% $$$ [C2, W2] = modellr(input2d('kapadia2'), Niterations);
% $$$ [C3, W3] = modellr(input2d('kapadia3'), Niterations);
% $$$ [C4, W4] = modellr(input2d('kapadia4'), Niterations);
% $$$ [C5, W5] = modellr(input2d('kapadia5'), Niterations);
% $$$ 
% $$$ 
% $$$ 
% $$$ 
% $$$ 
% $$$ for i = 1:exps
% $$$   eval(['X = sum(W' int2str(i) '(:,:,:,Niterations), 3);']);
% $$$   % max does not generate appropriate values
% $$$   % eval(['X = squeeze(max(W' int2str(i) '(:,:,:,Niterations), [], 3));']);
% $$$   
% $$$   res(i) = X(32, 35);
% $$$ end


% reorder for display purposes
res = res([1 2 5 3 4]);

% percentage change relative to the response to the single bar
% (kapadia1)
resrel = (res/res(1) - 1)*100;
% some visible "zero" activity for display purposes:
resrel(1) = 0.05*max(resrel); 

%
% same for the data by Kapadia...
% 
res_fig12c = [30 52 10 38 62]; % original data by Kapadia et al..., Fig12
                               % C

resrel_data = (res_fig12c/res_fig12c(1) - 1)*100;

% We cannot quantitatively mathc the data. Effects are 10 times larger
% than in the simulations 
resrel_data = 0.1*resrel_data;

% some visible "zero" activity for display purposes:
resrel_data(1) = resrel(1);



h = bar([resrel_data' resrel']);
set(h(2), 'FaceColor', [0.5 0.5 0.5])
legend({'Data', 'Simulations'}, 'Location', 'North')
legend boxoff
%bar(resrel) % res or resrel

% for res:
%delta = (max(res) - min(res))/5;
%setyaxis([min(res)-delta max(res)+delta])

fs = 16; % FontSize

set(gca, 'Position', [0.13 0.25 0.775 0.705])
set(gca, 'Fontsize', fs) 
%axis([0.5 5.5 -10 10])
axis([0.5 5.5 -8 12])
%set(gca, 'YTickLabels', -10:5:10)
set(gca, 'YTickLabel', ['-10%'; ' -5%'; '   0'; '  5%'; ' 10%';])
set(gca, 'YTick', -10:5:10)

xticksoff
hline(0, 'k');
box off

text(3, -8.75, 'Stimuli', 'HorizontalAlignment', 'center', 'FontSize', fs)
ylabel('Relative response (% of single bar response)')


xpos4 = [0.125 0.32 0.51 0.71]; 
width4 = 0.2; length4 = width4;

width5 = 0.18; length5 = width5;
xpos5 = [0.125 0.28 0.43 0.59 0.74];

w = width5; l= length5;
xpos = xpos5;

% inset bipole in first stimulus plot
B = bipole(0, rad(10), 1, 25, 3, 1)';
I = input2d('kapadia1');
voffset = floor((size(I,1) - size(B,1))/2);
hoffset = 2;
I(1+voffset:size(B,1)+voffset, 1+hoffset:size(B,2)+hoffset) = 1- map01(B);
%imagesc(I)


axes('Position', [xpos(1) 0.02 w l])
imagesc(I), axis image, ticksoff

axes('Position', [xpos(2) 0.02 w l])
imagesc(input2d('kapadia2')), axis image, ticksoff

axes('Position', [xpos(3) 0.02 w  l])
imagesc(input2d('kapadia5')), axis image, ticksoff

axes('Position', [xpos(4) 0.02 w l])
imagesc(input2d('kapadia3')), axis image, ticksoff

axes('Position', [xpos(5) 0.02 w l])
imagesc(input2d('kapadia4')), axis image, ticksoff

colormap gray


%resdir = '/home/hansen/vision/doc/general/longrange/eps/';
%printeps('kapadialrsim.eps', resdir)

