function fignoisysquareefb
  
%
% get input
%
I = input2d('noisy square');

%
% run model
%
Niterations = 12; % number of recurrent interactions
if exist('res_noisy_square_efb.mat') ~= 2
  [C, W] = modellrefb(I, Niterations);
  save res_noisy_square_efb C W
else
  load res_noisy_square_efb
end

Wfinal = W(:,:,:,Niterations);

%
% show results
%
norows = 9; % number of rows
nocols = norows; % number of columns
c = [97 97]; % center of upper left corner
if mod(norows, 2) == 0
  c = c + 1;
end
ind1 = c(1)-floor(norows/2):c(1)-floor(norows/2)+norows-1;
ind2 = c(2)-floor(nocols/2):c(2)-floor(nocols/2)+nocols-1;


subplot(2,2,1), imshowr(sum(C,3), []), title('Complex cells')
subplot(2,2,2), imshowr(sum(Wfinal, 3), []), title('Long-range stage')
subplot(2,2,3), oquiver(C(ind1, ind2, :))
subplot(2,2,4), oquiver(Wfinal(ind1, ind2, :))


drawnow
%pause

% move left & up
for spno = 1:4
  % spno
  subplot(2,2,spno)
  sprow = floor((spno - 1)/2) + 1;
  spcol = mod(spno - 1 , 2) + 1;
  pos = get(gca, 'Position');
  if spcol == 2
    pos(1) = pos(1) - 0.15;
  end
  if sprow == 2
    pos(2) = pos(2) + 0.12;
  end
  set(gca, 'Position', pos)
  %drawnow, pause
end
