Niterations = 12; % number of recurrent interactions
if exist('res_noisy_square.mat') ~= 2
  [C, W] = modellr(I, Niterations);
  save res_noisy_square C W
else
  load res_noisy_square
end

ind1_border = 110:150;
ind2_border = 97:98;
ind1_back = 110:150;
ind2_back = 49:50;

%
% orientation significance (standard method)
%
os_border(1) = mean2(osignif(C(ind1_border, ind2_border, :)));
os_back(1) = mean2(osignif(C(ind1_back, ind2_back, :)));
for i = 1:Niterations
  os_border(i+1) = mean2(osignif(W(ind1_border, ind2_border, :, i)));
  os_back(i+1) = mean2(osignif(W(ind1_back, ind2_back, :, i)));
end

plot([0:Niterations], os_border, 'k')
hold on
plot([0:Niterations], repmat(os_border(1), [1 Niterations + 1]), 'k--')

plot([0:Niterations], os_back, 'k')
plot([0:Niterations], repmat(os_back(1), [1 Niterations + 1]), 'k--')
setyaxis([0 1])
hold off
box off
set(gca, 'Fontsize', 20);
xlabel('Time (Number of recurrent cycles)')
ylabel('Orientation significance')

text(Niterations, os_border(Niterations)+0.03, 'Contour', ... 
     'HorizontalAlignment', 'Right', 'Fontsize', 20)

text(Niterations, os_back(Niterations)+0.03, 'Background', ... 
     'HorizontalAlignment', 'Right', 'Fontsize', 20)
