

contrast_list = [0.1 0.2];
Ncontrasts = length(contrast_list);

for i=1:Ncontrasts
  
  % assemble contrast_str from contrast to load corresponding mat-file
  contrast = contrast_list(i);
  contrast_str1 = sprintf('%2.1f', contrast);
  contrast_str = strrep(contrast_str1, '.', '');
  
  filename = ['simressquare0' contrast_str '.mat'];
  load(filename)

  Niterations = 12;

  switch contrast
   case 0.1
    std_noise_arr = [0.01 0.02 0.05 0.1];
    minval = 0.45; maxval = 0.55;
   case 0.2
    std_noise_arr = [0.01 0.02 0.04 0.08];
    minval = 0.4; maxval = 0.6;
   otherwise
    error('Wrong contrast value.')
  end
  
 
  subplot(1,2,i)
  
  fs = 10;
  fs_label = 1.2*fs;

  ymin = 0.3; ymax = 0.9;

  r = 0:Niterations;
  % set(0, 'DefaultAxesColorOrder', [0 0 1]) % every plot in blue

  plot(r, squeeze(mean(simres)), 'k')
  hold on
  plot(r, squeeze(mean(simresback)), 'k')


  set(gca, 'PlotBoxAspectRatio', [(1+sqrt(5))/2 1 1])

  set(gca, 'Fontsize', fs);
  setxaxis([0 12])
  set(gca, 'XTick', [0:2:12])
  labelstr = sprintf('''%d'', ', [0:2:12]);
  labelstr = labelstr(1:end-2); % remove last "' "
  eval(['labels = char(' labelstr ');']);
  set(gca, 'XTickLabel', labels)

  setyaxis([ymin ymax])
  set(gca, 'YTick', [ymin:0.1:ymax])

  
  if i == 1
    xlabel([blanks(66) 'Time (Number of recurrent cycles)'], 'Fontsize', fs_label)
    ylabel('Orientation significance', 'Fontsize', fs_label)
  else 
    yticksoff
  end
  
  title(['Contrast ' contrast_str1], 'Fontsize', fs_label)
  
  box off
  
  
  %
  % Show insets
  %
  switch contrast
   case 0.1
    if exist('res_noisy_square_c01.mat') ~= 2
      evalsquare(0.1)
    end  
    load res_noisy_square_c01
    
    xpos = [0.1210 0.3780]; % x-position of inset 
    drawnow
    % move subplot(2,1,1) slightly to the left 
    pos = get(gca, 'Position');
    pos(1) = pos(1) - 0.05;
    set(gca, 'Position', pos)

    % adjust xpos 
    xpos = xpos - 0.05;
   
   case 0.2
    if exist('res_noisy_square_c02.mat') ~= 2
      evalsquare(0.2)
    end  
    load res_noisy_square_c02
    
    xpos = [0.5610 0.8180];
    
    drawnow
    
    % move subplot(2,1,2) slightly to the left 
    
    pos = get(gca, 'Position');
    pos(1) = pos(1) - 2*0.05;
    set(gca, 'Position', pos);
    
    % adjust xpos 
    xpos = xpos - 2*0.05;
      
   otherwise
    error('Wrong contrast value.')
  end
  w = 0.1; l = w; ypos = 0.65;
  % C2 and Wfinal2 are the highest noise levels
  axes('Position', [xpos(1) ypos w l]), 
  imshowr(sum(C2,3), []),
  
  axes('Position', [xpos(2) ypos w l]), 
  imshowr(sum(Wfinal2,3), []),
  
  hold on
  
end

