function figpotato
%
% get input
%
I = input2d('potato');
I = I(100:355,21:630); % crop image to smaller size

%
% run model
%
Niterations = 12; % number of recurrent interactions
if exist('res_potato.mat') ~= 2
  [C, W] = modellr(I, Niterations);
  save res_potato C W
else
  load res_potato
end

Cs = sum(C, 3);
Wfinal = W(:,:,:,Niterations); 
Wfs = sum(Wfinal, 3);


%
% show results -- Fig. 8
% 
subplot(3,2,1), imshow(I), title('Input stimulus'), axis on, ticksoff
subplot(3,2,3), imshowr(Cs, []), title('Complex cells')
subplot(3,2,4), imshowr(Wfs, []), title('Long-range stage')
threshold = 0.4;
subplot(3,2,5), imshowr(im2bw(Cs, threshold*gmax(Cs)), [])
                title('Complex cells (thresholded)')
subplot(3,2,6), imshowr(im2bw(Wfs, threshold*gmax(Wfs)), [])
                 title('Long-range stage (thresholded)')

%drawnow
%pause

% move left
% $$$ for spno = [4 6]
% $$$   subplot(3,2,spno)
% $$$   pos = get(gca, 'Position')
% $$$   pos(1) = pos(1) - 0.08
% $$$   set(gca, 'Position', pos)
% $$$ end

%drawnow

% move up and left
for spno = 3:6
  subplot(3,2,spno)
  pos = get(gca, 'Position');
  switch spno
   case 4, pos(1) = pos(1) - 0.08;
   case 6, pos(1) = pos(1) - 0.08;
  end  
  sprow = floor((spno - 1)/2) + 1;
  pos(2) = pos(2) + 0.05*(sprow - 1); % move up
  set(gca, 'Position', pos)
end
