function figsaliencyefb

Niterations = 12; % number of recurrent interactions

if exist('res_noisy_square_efb.mat') ~= 2
  [C W] = modellrefb(I, Niterations);
  save res_noisy_square_efb C W
else
  load res_noisy_square_efb
end
C_efb = C;
W_efb = W;

if exist('res_noisy_square.mat') ~= 2
  [C, W] = modellr(I, Niterations);
  save res_noisy_square C W
else
  load res_noisy_square
end



[r z] = saliencynsquare(C, W);
[r_efb z_efb] = saliencynsquare(C_efb, W_efb);






%
% plot
%
h = plot([0:Niterations], r_efb, 'k'); set(h, 'Linewidth', 2)
hold on
h = plot([0:Niterations], r, 'k--'); set(h, 'Linewidth', 2)

plot([0:Niterations], z_efb, 'k')
plot([0:Niterations], z, 'k--')
hold off


fs = 20;
set(gca, 'Fontsize', fs);
setxaxis([0 12])
set(gca, 'XTick', [0:2:12])
axis([0 12 2 8])

box off

xlabel('Time (Number of recurrent cycles)')
ylabel('Contour saliency')
text(10, r_efb(10)-0.2, 'r', ... 
     'HorizontalAlignment', 'Left', 'Fontsize', 20, 'FontName', 'Times', ...
     'FontAngle', 'italic')
text(10, z_efb(10)+0.25, 'z', ... 
     'HorizontalAlignment', 'Left', 'Fontsize', 20, 'FontName', 'Times', ...
     'FontAngle', 'italic')




