function Y = autocrop(X)
%AUTOCROP  Automatically crops image.
%
%   ICROPPED = AUTOCROP(I) treats upper left point of gray-scale image I
%   as background which is removed at the borders of I, and the cropped
%   image ICROPPED is returned.
%  
% Thorsten Hansen 2008-02-16
val = X(1); % cut borders of same value as top left pixel

% cut top border
for i=1:size(X,1)
  if min(X(1,:))==val & max(X(1,:))==val
        X= X(2:end,:);
  else
    break;
  end
end

% cut left border
for i=1:size(X,2)
  if min(X(:,1))==val & max(X(:,1))==val
	 X= X(:,2:end);
  else
    break;
  end
end


val = X(end,end); % cut borders of same value as bottom right pixel

% cut right border
  for i=size(X,2):-1:1
  if min(X(:,end))==val & max(X(:,end))==val
	 X= X(:,1:end-1);
  else
    break;
  end
end


% cut bottom border
for i=size(X,1):-1:1
  if min(X(end,:))==val & max(X(end,:))==val
	 X= X(1:end-1,:);
  else
    break;
  end
end


Y = X;


