function c = circle(radius, imradius)
%CIRLE  Generate a white circle on black background.
%   C = CIRCLE(RADIUS); Size of resulting image is 2*RADIUS+1.
%   C = CIRCLE(RADIUS, IMRADIUS); Size of resulting image is 2*IMRADIUS+1.

error(nargchk(1,2,nargin));

if nargin < 2
  imradius = radius;
end

x = (-imradius: imradius);
y = x;
[X, Y] = meshgrid(x, y);

z = sqrt(X.^2 + Y.^2);

s = sqrt(2*imradius^2);
c = 1 - double(im2bw(z/s, radius/s));

%c = 1- h(z-radius-eps);

%c = zeros(size(z)); c(find(z<radius)) = 1;


%------------------------------------------------------------------------------
function y = h(x) % heaviside or step function
y = 0.5*(1+sign(x));
y(find(sign(x)==0))=0;
