function g = gauss(sigma)
%GAUSS  Discrete Gaussian function.
%GAUSS(SIGMA) samples the Gaussian function
%in the 3*SIGMA interval every pixel.
%
%Author: Thorsten Hansen  Date: 2004-08-30
si = ceil(3*sigma); 
x = -si:si;
g = exp(-0.5*x.^2/sigma^2); 
% we can skip 1/(2*pi*sqrt(sigma) since we normalize anyway
g = g/sum(g); % normalize such that g integrates to 1