function Y = getlayer(I, layer);
% GETLAYER  Extract layer from image.
%
%GETLAYER(I, LAYER) extracts I(:,:,LAYER) from the image I.
%
% Convenience function to be used Matlab one-liners such as
% I = autocrop(getlayer(im2double(imread(filename)), 1));
%
% Thorste Hansen 2008-02-26

if ndims(I) == 2 && layer == 1
  warning('Image does have only a single layer, which is returned.')
  Y = I;
  return
end

if ndims(I) ~= 3
  error('Dimension of image must be 3.')
end

Y = I(:,:,layer);
