function y = maxdiff(x1, x2)
%MAXDIFF Y = MAXDIFF(X1, X2) returns the element with the maximal absolute 
%   difference between X1 and X2. X1, X2 can be of dimension 1, 2, 3 or 4.
%   X1 and X2 must be of type double.
%
%(c) Thorsten Hansen 2002-11-14

%     2008-05-06  handling of cells added (TH)
  
if ~iscell(x1)
  
  switch ndims(x1)
  case 1
    y = max(abs(x1 - x2));
  case 2
    y = max(max(abs(x1 - x2)));
  case 3
    y = max(max(max(abs(x1 - x2))));
  case 4
    y = max(max(max(max(abs(x1 - x2)))));
  otherwise
    error('dimension too large')
  end
 
else
  if min(strcmp(x1, x2)) ~= 1
    disp('Cell arrays differ.')
  else
    disp('Cell arrays are the same.')
  end
end
