function void = oquiver(Z, scalemethod)

if ndims(Z) ~= 3
  error('dimension of input must be 3.')
end
 
Omax = size(Z, 3);

if nargin == 1
  scalemethod = 'scale';
end

if strcmp(scalemethod, 'scale')
  % scale input
  % disp('scale')
  Z = 0.45/gmax(Z)*Z;  % 2*0.45 = 0.9 is the length of an oriented line in a 
                       % a unit value grid
end


% orientation plot
for i=1:Omax
  theta = (i-1)*pi/Omax;
  U = cos(theta)*Z(:,:,i);
  V = -sin(theta)*Z(:,:,i);
  h = quiver(U, V, 0, '.', 'k');
  % set(h, 'Linewidth', 2)
  if i == 1, hold on, end
  % additional plot to cover full range of [0;2pi]
  h = quiver(-U, -V, 0, '.', 'k');
  % set(h, 'Linewidth', 2)
end
hold off

axis ij, axis image, axis off
