function S = osignif(X)
%OSIGNIF  orientation significance. 
%   S = OSIGNIF(X) is the orientation significance of the 3-D
%   orientation cube X. X(:,:,i) is assumed to contain equally sampled
%   oriented activities in direction theta = i-1*pi/O_max, O_max =
%   size(X,3).
%   Orientation significance S = 1 if only one orientation is active, 
%   S = 0 for a circular distribution of orientations.

S = abs(otovec(X))./sum(X, 3);
