function Z = otovec(X)
%OTOVEC  map orientations to complex orientation vector.
%   Z = OTOVEC(X) is the complex orientation vector of the 3-D 
%   orientation cube X. X(:,:,i) is assumed to contain equally sampled
%   oriented activities in direction theta = i-1*pi/O_max, O_max =
%   size(X,3).


% B = round(real(Z)*1000)/1000 + i*round(imag(Z)*1000)/1000
% atan2(imag(B), real(B))
%
% Zn = Z./sum(X, 3);  imagescr(abs(Zn))


[M, N, O_max] = size(X);

for k=1:O_max
  theta = (k-1)*pi/O_max;
  Z(:,:,k) = exp(2*i*theta)*X(:,:,k);
end
Z = sum(Z, 3);



