function Y = symcrop(X)
% Symmetrical crop of X for values < eps.

% first crop along left and right border
[ymax, xmax] = size(X);
nonzero = find(max(X) > eps);
b = min(min(nonzero)-1, xmax - max(nonzero));
X = X(:, [b+1:xmax-b]);

% now the same for top and bottom border
X = rot90(X);

[ymax, xmax] = size(X);
nonzero = find(max(X) > eps);
b = min(min(nonzero)-1, xmax - max(nonzero));
X = X(:, [b+1:xmax-b]);

Y = rot90(X, -1);
