% generate data
I = input2d('noisy square');

%
% run model
%
disp('Run model.')
Niterations = 12; % number of recurrent interactions
if exist('res_noisy_square.mat') ~= 2
  [C, W] = modellr(I, Niterations);
  save res_noisy_square C W
else
  load res_noisy_square
end


%
% assemble resized images
%
disp('Resize images.')
X(:,:,1) = imresize(I, 96/256, 'bilinear');
X(:,:,2) = imresize(map01(revert(sum(C,3))), 96/256, 'bilinear');
for i = 1:Niterations
  X(:,:,2+i) = imresize(map01(revert(sum(W(:,:,:,i),3))), 96/256, 'bilinear');
end

%
% Check
%
Nframes = size(X, 3);
%for i=1:Nframes
%  imshow(X(:,:,i))
%  pause
%end


%
% write gif
%
outputfilename = 'JOV-00736-2007-icon.gif';

disp('Create gif.')

for i=1:Nframes
  I255 = 255*X(:,:,i);
  if i == 1
    imwrite(I255, outputfilename, 'LoopCount', Inf);
  else
    imwrite(I255, outputfilename, 'WriteMode', 'append');
  end
end
